Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037940
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-02-15 18:072019-03-28 14:55
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision7f68f19b9b80
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037940: Clean up unused shortcuts in the Login page

DescriptionAs part of the login page clean up[1], the JS code required for the Login page was moved to a separate file (login.js).

It currently contains the definition of several shortcut actions which does not make sense in the context of the login page. They should be cleaned up.
Steps To ReproduceIn description
Proposed SolutionAttached the list of shortcuts being added. Most of them are related with the 2.50 menu, windows and tabs.

Remove all shortcuts except those related with TAB and ENTER keys.
TagsNo tags attached.
Attached Filestxt file icon listOfShortcuts.txt [^] (5,249 bytes) 2019-01-16 12:15 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0035386 closedcaristu Login page needs some clean up 

-  Notes
(0108976)
hgbot (developer)
2019-01-16 11:09

Repository: erp/devel/pi
Changeset: 88d362c8aba045a766388c940dd460444d759272
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Jan 16 11:06:26 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/88d362c8aba045a766388c940dd460444d759272 [^]

related to issue 37940: minor code cleanup

  - Removed unused variables
  - Declared "obj" variables on top of the function
  - Remove unreachable "return false"

---
M web/js/login.js
---
(0108980)
hgbot (developer)
2019-01-16 13:38

Repository: erp/devel/pi
Changeset: 7f68f19b9b80df16a3cd04282c1efb4bf66da4ab
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Jan 16 13:32:57 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7f68f19b9b80df16a3cd04282c1efb4bf66da4ab [^]

fixes issue 37940: Clean up unused shortcuts in the Login page

---
M src/org/openbravo/erpCommon/security/Login.html
M web/js/login.js
M web/js/utils.js
---
(0109009)
hgbot (developer)
2019-01-18 09:57

Repository: erp/devel/pi
Changeset: 123e2c24a1b1170c10520e44622b6127eef1a1bf
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jan 18 09:56:54 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/123e2c24a1b1170c10520e44622b6127eef1a1bf [^]

related to issue 37940: remove some clutter on array creation

---
M web/js/login.js
---
(0109010)
alostale (developer)
2019-01-18 09:58

reviewed + tested
(0110731)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110733)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110736)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-15 18:07 caristu New Issue
2018-02-15 18:07 caristu Assigned To => caristu
2018-02-15 18:07 caristu Modules => Core
2018-02-15 18:07 caristu Triggers an Emergency Pack => No
2018-02-15 18:07 caristu Relationship added related to 0035386
2018-06-15 11:28 alostale Status new => acknowledged
2019-01-16 11:09 hgbot Checkin
2019-01-16 11:09 hgbot Note Added: 0108976
2019-01-16 12:15 caristu Proposed Solution updated
2019-01-16 12:15 caristu File Added: listOfShortcuts.txt
2019-01-16 13:24 caristu Proposed Solution updated
2019-01-16 13:38 hgbot Checkin
2019-01-16 13:38 hgbot Note Added: 0108980
2019-01-16 13:38 hgbot Status acknowledged => resolved
2019-01-16 13:38 hgbot Resolution open => fixed
2019-01-16 13:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7f68f19b9b80df16a3cd04282c1efb4bf66da4ab [^]
2019-01-16 13:38 caristu Review Assigned To => alostale
2019-01-18 09:57 hgbot Checkin
2019-01-18 09:57 hgbot Note Added: 0109009
2019-01-18 09:58 alostale Note Added: 0109010
2019-01-18 09:58 alostale Status resolved => closed
2019-01-18 09:58 alostale Fixed in Version => 3.0PR19Q2
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110731
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110733
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110736


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker